/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class NewMessageNotification {
    @JsonProperty("displayName")
    private String displayName;
    @JsonProperty("message")
    private String message;
    @JsonProperty("timestamp")
    private String timestamp;
    @JsonProperty("method")
    private String method;
    @JsonProperty("isEmailValid")
    private boolean isEmailValid;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @JsonProperty("type")
    private String type;

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    @JsonProperty("data")
    private Object data;

    public Object getCustomData() {
        return customData;
    }

    public void setCustomData(Object customData) {
        this.customData = customData;
    }

    @JsonProperty("customData")
    private Object customData;

    public String getSenderType() {
        return senderType;
    }

    public void setSenderType(String senderType) {
        this.senderType = senderType;
    }

    @JsonProperty("senderType")
    private String senderType;



    public NewMessageNotification(){

    }

    public NewMessageNotification(String displayName, String message, String timestamp, String method, boolean isEmailValid, String senderType) {
        this.displayName = displayName;
        this.message = message;
        this.timestamp = timestamp;
        this.method = method;
        this.isEmailValid = isEmailValid;
        this.senderType = senderType;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public boolean isEmailValid() {
        return isEmailValid;
    }

    public void setEmailValid(boolean emailValid) {
        isEmailValid = emailValid;
    }

    @Override
    public String toString() {
        return "NewMessageNotification{" +
                "displayName='" + displayName + '\'' +
                ", message='" + message + '\'' +
                ", timestamp=" + timestamp +
                ", method='" + method + '\'' +
                '}';
    }
}
